## python-futurist 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
six>=1.9.0
monotonic>=0.3 # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6'
contextlib2>=0.4.0 # PSF License

=== debian/changelog ===
python-futurist (0.5.0-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 Oct 2015 10:58:34 +0000

python-futurist (0.5.0-1) experimental; urgency=medium

  [ James Page ]
  * d/rules: Drop use of dpkg-parsechangelog -S to ease backporting to
    older Debian and Ubuntu releases.

  [ Corey Bryant ]
  * New upstream release.
  * Align dependencies with upstream.

  [ Thomas Goirand ]
  * Drop versions already satisfied in Trusty.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 08:21:43 +0000

python-futurist (0.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #792500)

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2015 14:47:49 +0200

=== debian/control ===
Source: python-futurist
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures (>= 3.0),
                     python-contextlib2,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-hacking (>= 0.10.0),
                     python-monotonic,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-contextlib2,
                     python3-eventlet (>= 0.17.4),
                     python3-monotonic,
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit (>= 1.1),
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-futurist.git
Vcs-Git: git://anonscm.debian.org/openstack/python-futurist.git
Homepage: http://www.openstack.org/

Package: python-futurist
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-contextlib2,
         python-monotonic,
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-futurist-doc,
Description: useful additions to futures, from the future - Python 2.x
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the Python 2.x module.

Package: python3-futurist
Architecture: all
Depends: python3-contextlib2,
         python3-monotonic,
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-futurist-doc,
Description: useful additions to futures, from the future - Python 3.x
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the Python 3.x module.

Package: python-futurist-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: useful additions to futures, from the future - doc
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the documentation.

## python-futurist 0.13.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT
monotonic>=0.6 # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
contextlib2>=0.4.0 # PSF License

=== debian/changelog ===
python-futurist (0.13.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 09 Apr 2016 19:26:50 +0200

python-futurist (0.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:25:07 +0000

python-futurist (0.13.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Disabled futurist.tests.test_executors.TestRejection.test_rejection which
    is failing.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 13:06:31 +0000

python-futurist (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 03:48:28 +0000

python-futurist (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:31:19 +0000

=== debian/control ===
--- 
+++ 
@@ -15,33 +15,33 @@
 Build-Depends-Indep: python-concurrent.futures (>= 3.0),
                      python-contextlib2,
                      python-coverage,
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.4),
                      python-hacking (>= 0.10.0),
-                     python-monotonic,
+                     python-monotonic (>= 0.6),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-contextlib2,
-                     python3-eventlet (>= 0.17.4),
-                     python3-monotonic,
-                     python3-oslotest (>= 1.10.0),
+                     python3-eventlet (>= 0.18.4),
+                     python3-monotonic (>= 0.6),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit (>= 1.1),
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-futurist.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-futurist.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-futurist?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-futurist -b debian/newton
 Homepage: http://www.openstack.org/
 
 Package: python-futurist
 Architecture: all
 Depends: python-concurrent.futures (>= 3.0),
          python-contextlib2,
-         python-monotonic,
+         python-monotonic (>= 0.6),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},
@@ -67,7 +67,7 @@
 Package: python3-futurist
 Architecture: all
 Depends: python3-contextlib2,
-         python3-monotonic,
+         python3-monotonic (>= 0.6),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')

UPSTREAM_GIT := https://github.com/openstack/futurist.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-futurist; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-futurist; \
	done
	rm -rf $(CURDIR)/debian/python*-futurist/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'futurist\.tests\.(?!.*test_executors\.TestRejection\.test_rejection.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-futurist-doc/usr/share/doc/python-futurist-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-futurist 1.1.0

=== debian/changelog ===
python-futurist (1.1.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.
  * Add missing BD on prettytable.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:00:36 +0100

python-futurist (0.21.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream release.
  * d/control: Add dep-8 test.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 09:48:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: python-futurist
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-concurrent.futures (>= 3.0),
                      python-contextlib2,
@@ -19,30 +20,33 @@
                      python-hacking (>= 0.10.0),
                      python-monotonic (>= 0.6),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
+                     python-prettytable,
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-contextlib2,
                      python3-eventlet (>= 0.18.4),
                      python3-monotonic (>= 0.6),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslotest (>= 1.10.0),
+                     python3-prettytable,
                      python3-six (>= 1.9.0),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit (>= 1.1),
                      testrepository,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-futurist?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-futurist -b debian/newton
+Standards-Version: 3.9.7
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-futurist
 Architecture: all
 Depends: python-concurrent.futures (>= 3.0),
          python-contextlib2,
          python-monotonic (>= 0.6),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -68,7 +72,7 @@
 Architecture: all
 Depends: python3-contextlib2,
          python3-monotonic (>= 0.6),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 2.0.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

## python-futurist 1.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
monotonic>=0.6 # Apache-2.0
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
contextlib2>=0.4.0 # PSF License
PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-futurist (1.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 10:40:17 -0500

python-futurist (1.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 09:31:19 -0500

python-futurist (1.4.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 09:53:15 -0500

=== debian/control ===
Source: python-futurist
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-concurrent.futures (>= 3.0.0),
 python-contextlib2 (>= 0.4.0),
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-hacking (>= 0.10.0),
 python-monotonic (>= 0.6),
 python-openstackdocstheme (>= 1.17.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:1.10.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-subunit (>= 1.0.0),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-contextlib2 (>= 0.4.0),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-hacking (>= 0.10.0),
 python3-monotonic (>= 0.6),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslotest (>= 1:1.10.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit (>= 1.1),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-futurist
Architecture: all
Depends:
 python-concurrent.futures (>= 3.0.0),
 python-contextlib2 (>= 0.4.0),
 python-monotonic (>= 0.6),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-futurist-doc,
Description: useful additions to futures, from the future - Python 2.x
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the Python 2.x module.

Package: python-futurist-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: useful additions to futures, from the future - doc
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the documentation.

Package: python3-futurist
Architecture: all
Depends:
 python3-contextlib2 (>= 0.4.0),
 python3-monotonic (>= 0.6),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-futurist-doc,
Description: useful additions to futures, from the future - Python 3.x
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
 
-UPSTREAM_GIT := https://github.com/openstack/futurist.git
+UPSTREAM_GIT = git://github.com/openstack/futurist.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/futurist/ futurist-(\d.*)\.tar\.gz

## python-futurist 1.7.0

=== debian/changelog ===
python-futurist (1.7.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 13:38:12 -0400

python-futurist (1.6.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Get tarball from openstack.org.
    - d/control: Point Vcs-Browser/Vcs-Git at lp:~ubuntu-server-dev and
      add Testsuite autopkgtest-pkg-python.
    - d/gbp.conf: Retain to enable pristine-tar.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 May 2018 14:41:13 -0400

python-futurist (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:30 +0000

python-futurist (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * d/rules: Changed UPSTREAM_GIT protocol to https.
  * Points VCS URLs to Salsa.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Standards-Version is now 4.1.3.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 10:55:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-futurist
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
+ openstack-pkg-tools,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
@@ -15,7 +15,6 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-concurrent.futures (>= 3.0.0),
  python-contextlib2 (>= 0.4.0),
@@ -23,31 +22,25 @@
  python-eventlet (>= 0.18.2),
  python-hacking (>= 0.10.0),
  python-monotonic (>= 0.6),
- python-openstackdocstheme (>= 1.17.0),
- python-oslosphinx (>= 2.5.0),
- python-oslotest (>= 1:1.10.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-oslotest (>= 1:3.2.0),
  python-prettytable (>= 0.7.1),
+ python-reno (>= 2.5.0),
  python-six (>= 1.10.0),
- python-subunit (>= 1.0.0),
- python-testrepository (>= 0.0.18),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python3-contextlib2 (>= 0.4.0),
- python3-coverage (>= 4.0),
  python3-eventlet (>= 0.18.2),
- python3-hacking (>= 0.10.0),
  python3-monotonic (>= 0.6),
- python3-openstackdocstheme (>= 1.17.0),
- python3-oslotest (>= 1:1.10.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-prettytable (>= 0.7.1),
+ python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
- python3-subunit (>= 1.0.0),
- python3-testrepository (>= 0.0.18),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- subunit (>= 1.1),
+ subunit,
  testrepository,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
 Homepage: http://www.openstack.org/

## python-futurist 1.8.1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
-monotonic>=0.6 # Apache-2.0
+monotonic>=0.6;python_version<'3.3' # Apache-2.0
 futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
-contextlib2>=0.4.0 # PSF License
+contextlib2>=0.4.0;python_version<'3.0' # PSF License
 PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-futurist (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:13:50 +0200

python-futurist (1.8.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Using python3 -m sphinx to build the doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 11:43:10 +0100

=== debian/control ===
Source: python-futurist
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslotest,
 python3-prettytable,
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-futurist
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-futurist.git
Homepage: http://www.openstack.org/

Package: python-futurist-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: useful additions to futures, from the future - doc
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the documentation.

Package: python3-futurist
Architecture: all
Depends:
 python3-pbr,
 python3-prettytable,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-futurist-doc,
Description: useful additions to futures, from the future - Python 3.x
 Code from the future, delivered to you in the now. For example:
  * A futurist.GreenThreadPoolExecutor using eventlet green thread pools. It
    provides a standard executor API/interface and it also gathers execution
    statistics.
  * A futurist.ProcessPoolExecutor derivative that gathers execution
    statistics.
  * A futurist.SynchronousExecutor that doesn’t run concurrently. It has the
    same executor API/interface and it also gathers execution statistics.
  * A futurist.ThreadPoolExecutor derivative that gathers execution statistics.
  * A futurist.periodics.PeriodicWorker that can use the previously mentioned
    executors to run asynchronous work periodically in parallel or
    synchronously.
  * etc.
 .
 This package contains the Python 3.x module.

## python-futurist 1.9.0

=== debian/changelog ===
python-futurist (1.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 19:14:19 +0200

python-futurist (1.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -24,7 +24,7 @@
  python3-testscenarios,
  python3-testtools,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-futurist
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-futurist.git
 Homepage: http://www.openstack.org/

## python-futurist 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,4 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
-monotonic>=0.6;python_version<'3.3' # Apache-2.0
-futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
-contextlib2>=0.4.0;python_version<'3.0' # PSF License
 PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-futurist (2.0.0-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:14:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: python-futurist
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-eventlet,
- python3-hacking,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-prettytable,
- python3-six,
- python3-stestr,
- python3-testscenarios,
- python3-testtools,
+ python3-eventlet (>= 0.18.2),
+ python3-hacking (>= 0.10.0),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-prettytable (>= 0.7.1),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-futurist
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-futurist.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
 Homepage: http://www.openstack.org/
 
 Package: python-futurist-doc
@@ -55,9 +55,9 @@
 Package: python3-futurist
 Architecture: all
 Depends:
- python3-pbr,
- python3-prettytable,
- python3-six,
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.1),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-futurist 2.1.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-futurist (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop (Build-)Depends on prettytable.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 16:16:02 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-hacking (>= 0.10.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-oslotest (>= 1:3.2.0),
- python3-prettytable (>= 0.7.1),
  python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
  python3-testscenarios (>= 0.4),
@@ -56,7 +55,6 @@
 Architecture: all
 Depends:
  python3-pbr (>= 2.0.0),
- python3-prettytable (>= 0.7.1),
  python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/futurist/tags .*/(\d[\d\.]+)\.tar\.gz

## python-futurist 2.1.1

=== debian/changelog ===
python-futurist (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:26:54 +0200

python-futurist (2.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:31:08 +0200

python-futurist (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove python3-prettytable from runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 14:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: python-futurist
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-eventlet (>= 0.18.2),
- python3-hacking (>= 0.10.0),
- python3-openstackdocstheme (>= 1.20.0),
- python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
+ python3-coverage,
+ python3-eventlet,
+ python3-hacking,
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-prettytable,
+ python3-six,
+ python3-stestr,
+ python3-testscenarios,
+ python3-testtools,
  subunit,
-Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-futurist
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-futurist
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-futurist.git
 Homepage: http://www.openstack.org/
 
 Package: python-futurist-doc
@@ -54,8 +55,8 @@
 Package: python3-futurist
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
- python3-six (>= 1.10.0),
+ python3-pbr,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-futurist 2.3.0

=== debian/changelog ===
python-futurist (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.
  * Add python3-greenlet as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:32:09 +0200

python-futurist (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:00:34 +0200

python-futurist (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:34:58 +0200

## python-futurist 2.4.0

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,3 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
-PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-futurist (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:20:09 +0200

python-futurist (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 10:43:28 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-eventlet,
+ python3-greenlet,
  python3-hacking,
  python3-openstackdocstheme,
  python3-oslotest,
@@ -55,6 +56,7 @@
 Package: python3-futurist
 Architecture: all
 Depends:
+ python3-greenlet,
  python3-pbr,
  python3-six,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/futurist.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'futurist\.tests\.(?!.*test_executors\.TestRejection\.test_rejection.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-futurist-doc/usr/share/doc/python-futurist-doc/html
	dh_sphinxdoc
endif

## python-futurist 2.4.1

=== debian/changelog ===
python-futurist (2.4.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1047361).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:45:01 +0200

python-futurist (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 11:55:17 +0200

python-futurist (2.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 11:42:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-futurist 3.0.0

=== debian/changelog ===
python-futurist (3.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090504).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:48:19 +0100

python-futurist (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:14:49 +0200

python-futurist (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 13:35:44 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python3-openstackdocstheme,
  python3-oslotest,
  python3-prettytable,
- python3-six,
  python3-stestr,
  python3-testscenarios,
  python3-testtools,
@@ -58,7 +57,6 @@
 Depends:
  python3-greenlet,
  python3-pbr,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-futurist 3.1.0

=== debian/changelog ===
python-futurist (3.1.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 07:29:52 +0000

python-futurist (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:26:04 +0100

python-futurist (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:51:01 +0100

## python-futurist 3.2.0

=== requirements.txt ===
debtcollector>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-futurist (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 15:12:51 +0200

python-futurist (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 14:39:28 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/futurist refs/tags/(\d[brc\d\.]+)
